## org.omg.CORBA
Class ValueMemberDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueMemberDefHelper

public class ValueMemberDefHelper
extends java.lang.Object

Helper class for : ValueMemberDef

Author:
  OpenORB Compiler

Constructor Summary
`ValueMemberDefHelper()`

Method Summary
`static ValueMemberDef` `extract(Any a)` Extract ValueMemberDef from an any
`static java.lang.String` `id()` Return the ValueMemberDef IDL ID
`static void` `insert(Any a, ValueMemberDef t)` Insert ValueMemberDef into an any
`static ValueMemberDef` `narrow(Object obj)` Narrow CORBA::Object to ValueMemberDef
`static ValueMemberDef` `read(InputStream istream)` Read ValueMemberDef from a marshalled stream
`static TypeCode` `type()` Return the ValueMemberDef TypeCode
`static ValueMemberDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ValueMemberDef
`static void` `write(OutputStream ostream, ValueMemberDef value)` Write ValueMemberDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMemberDefHelper

    public ValueMemberDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueMemberDef t)

  Insert ValueMemberDef into an any
  Parameters:
    `a` - an any
    `t` - ValueMemberDef value

### extract

    public static ValueMemberDef extract(Any a)

  Extract ValueMemberDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueMemberDef value

### type

    public static TypeCode type()

  Return the ValueMemberDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueMemberDef IDL ID
  Returns:
    an ID

### read

    public static ValueMemberDef read(InputStream istream)

  Read ValueMemberDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueMemberDef value

### write

    public static void write(OutputStream ostream,
                             ValueMemberDef value)

  Write ValueMemberDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueMemberDef value

### narrow

    public static ValueMemberDef narrow(Object obj)

  Narrow CORBA::Object to ValueMemberDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueMemberDef Object

### unchecked_narrow

    public static ValueMemberDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ValueMemberDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueMemberDef Object